Difference between revisions of "User:CSammy/Supported Platforms2"

From diaspora* project wiki
Jump to: navigation, search
m
 
(2 intermediate revisions by the same user not shown)
Line 11: Line 11:
 
{{User:CSammy/Supported_Platforms/Section2|Data Storage}}
 
{{User:CSammy/Supported_Platforms/Section2|Data Storage}}
 
{{User:CSammy/Supported_Platforms/Line2|MariaDB      |{{star}} latest stable <br/> {{dk}} 5.5+}}
 
{{User:CSammy/Supported_Platforms/Line2|MariaDB      |{{star}} latest stable <br/> {{dk}} 5.5+}}
{{User:CSammy/Supported_Platforms/Line2|MySQL        |{{star}} latest stable <br/> {{dk}} 5.1+}}
+
{{User:CSammy/Supported_Platforms/Line2|MySQL        |{{star}} latest stable <br/> {{dk}} 5.5.3+ <br/> {{no}} < 5.5.3}}
 
{{User:CSammy/Supported_Platforms/Line2|PostgreSQL    |{{star}} latest stable <br/> {{dk}} 9.1+}}
 
{{User:CSammy/Supported_Platforms/Line2|PostgreSQL    |{{star}} latest stable <br/> {{dk}} 9.1+}}
 
{{User:CSammy/Supported_Platforms/Section2|Miscellaneous}}
 
{{User:CSammy/Supported_Platforms/Section2|Miscellaneous}}
{{User:CSammy/Supported_Platforms/Line2|curl          |{{star}} latest <br/> {{yes}} 7.32+ <br/> {{no}} < 7.32}}
+
{{User:CSammy/Supported_Platforms/Line2|bundler      |{{no}} 1.13 <br/> {{star}} 1.12.5}}
 +
{{User:CSammy/Supported_Platforms/Line2|curl          |{{star}} latest stable <br/> {{yes}} 7.32+ <br/> {{no}} < 7.32}}
 
{{User:CSammy/Supported_Platforms/Line2|Redis        |{{star}} latest stable <br/> {{yes}} 2.8+ <br/> {{no}} < 2.8}}
 
{{User:CSammy/Supported_Platforms/Line2|Redis        |{{star}} latest stable <br/> {{yes}} 2.8+ <br/> {{no}} < 2.8}}
 
{{User:CSammy/Supported_Platforms/Line2|Ruby          |'''d* 0.6+''' <br/> &nbsp;&nbsp;{{star}} 2.3 <br/> &nbsp;&nbsp;{{dk}} 2.2 <br/> &nbsp;&nbsp;{{yes}} 2.1 <br/>&nbsp;&nbsp;{{no}} < 2.1 <br/> '''d* 0.5+'''<br/>&nbsp;&nbsp;{{dk}} 2.2+ <br/>&nbsp;&nbsp;{{star}} 2.1 <br/> &nbsp;&nbsp;{{yes}} 2.0}}
 
{{User:CSammy/Supported_Platforms/Line2|Ruby          |'''d* 0.6+''' <br/> &nbsp;&nbsp;{{star}} 2.3 <br/> &nbsp;&nbsp;{{dk}} 2.2 <br/> &nbsp;&nbsp;{{yes}} 2.1 <br/>&nbsp;&nbsp;{{no}} < 2.1 <br/> '''d* 0.5+'''<br/>&nbsp;&nbsp;{{dk}} 2.2+ <br/>&nbsp;&nbsp;{{star}} 2.1 <br/> &nbsp;&nbsp;{{yes}} 2.0}}
Line 25: Line 26:
 
{{yes}} Supported
 
{{yes}} Supported
  
{{dk}} Untested
+
{{dk}} Untested/May Work
  
 
{{no}} Not Supported
 
{{no}} Not Supported

Latest revision as of 14:47, 10 September 2016

Operating System
Ubuntu 16.04 (Xenia)
14.04 (Trusty)
12.04 (Precise)
Debian 8 (Jessie)
? 7 (Wheezy)
Fedora ? 21+
CentOS 7
? 6
Gentoo ?
Arch ?
openSUSE ? 13.2+
Hamara ?
Data Storage
MariaDB latest stable
? 5.5+
MySQL latest stable
? 5.5.3+
< 5.5.3
PostgreSQL latest stable
? 9.1+
Miscellaneous
bundler 1.13
1.12.5
curl latest stable
7.32+
< 7.32
Redis latest stable
2.8+
< 2.8
Ruby d* 0.6+
   2.3
  ? 2.2
   2.1
   < 2.1
d* 0.5+
  ? 2.2+
   2.1
   2.0

Legend

Recommended

Supported

? Untested/May Work

Not Supported